Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1419002 - Central server for logging
Summary: Central server for logging
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 12:13 UTC by Nigel Babu
Modified: 2017-11-24 09:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-24 09:32:28 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Nigel Babu 2017-02-03 12:13:35 UTC
I'm thinking it's time we centralized the logs onto one machine. This machine needs to have a public IP and a good amount of storage space. Given that most of our tests run on Rackspace, I'm tempted to host it there.

I'm guessing all it needs is an apache server and ssh keys that will let it talk to all the test nodes.

Comment 1 M. Scherer 2017-02-03 12:49:29 UTC
You mean something different from syslog01.rax.gluster.org ?

Comment 2 M. Scherer 2017-02-03 12:50:03 UTC
(which is central rsyslog logging, but likely didn't got the love it deserve, as I do not read log that often)

Comment 3 Nigel Babu 2017-02-03 13:53:10 UTC
Yeah, I mean for CI jobs to push their logs rather than hosting it on the same computer. This makes the nodes easy to switch out.

Comment 4 Michael S. 2017-02-22 14:23:59 UTC
Ok, so what spec are we aiming, and what OS ?

I guess we want a public ipv 4 as well ?

Comment 5 Nigel Babu 2017-02-22 15:07:46 UTC
It's basically a large web server. So plenty of HDD space (Would 100G be enough? Or should we aim for 200G?). I think at least 2GB of RAM and 2 CPUs. We'll see how it works with that much.

Yes, a public IP please. We need to SSH in from build machines to copy files over.

Comment 6 Nigel Babu 2017-11-24 09:32:28 UTC
This is now ready.


Note You need to log in before you can comment on or make changes to this bug.